Page MenuHomePhabricator

Create a PHP fallback for SelectFileWidget
Closed, ResolvedPublic

Description

If we are to convert [[Special:Import]] to OOUI, we need a PHP fallback for SelectFileWidget. I don't think it's possible to restyle a native file input widget without JavaScript as we have to hide the original input then mirror the filename to a visible span when changed, so we'd probably have to have an unstyled version for no-JS environments.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 11 2017, 12:15 PM
Esanders updated the task description. (Show Details)Jul 20 2017, 5:07 PM
Esanders added subscribers: matmarex, Prtksxna.

I think now someone should take this. I also need PHP version for Other pages as well.

Volker_E triaged this task as High priority.Jan 7 2019, 7:45 AM
Samwilson added a subscriber: Samwilson.

Change 494971 had a related patch set uploaded (by Esanders; owner: Esanders):
[oojs/ui@master] Create PHP SelectFileWidget

https://gerrit.wikimedia.org/r/494971

Change 495971 had a related patch set uploaded (by Esanders; owner: Esanders):
[oojs/ui@master] Create SelectFileInputWidget as a sub-class of SelectFileWidget

https://gerrit.wikimedia.org/r/495971

Change 494971 abandoned by Esanders:
Create PHP SelectFileWidget

Reason:
See I9fdf49cde83c60748ddfc931ee48d0ff955eaccd

https://gerrit.wikimedia.org/r/494971

Change 495971 had a related patch set uploaded (by Esanders; owner: Esanders):
[oojs/ui@master] Create SelectFileInputWidget as a super-class of SelectFileWidget

https://gerrit.wikimedia.org/r/495971

Change 495971 merged by jenkins-bot:
[oojs/ui@master] Create SelectFileInputWidget as a super-class of SelectFileWidget

https://gerrit.wikimedia.org/r/495971

Change 498143 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/core@master] Update OOUI to v0.31.1

https://gerrit.wikimedia.org/r/498143

Change 498143 merged by jenkins-bot:
[mediawiki/core@master] Update OOUI to v0.31.1

https://gerrit.wikimedia.org/r/498143

Jdforrester-WMF closed this task as Resolved.Mar 22 2019, 7:20 PM
Jdforrester-WMF assigned this task to Esanders.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

This patch landed in MediaWiki master in time for 1.33.0-wmf.23, which will go out to Wikimedia production from 2019-03-26.